Skip to main content
GET
/
tasks
List tasks
curl --request GET \
  --url https://api.heffl.com/api/v1/tasks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "number": "<string>",
      "title": "<string>",
      "status": "<string>",
      "type": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "priority": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "startDate": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours at app.heffl.com/settings/developers

Query Parameters

cursor
string

Cursor for pagination. Pass the previous response nextCursor value to fetch the next page.

limit
number
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100

Search by task title

status
enum<string>

Filter by status

Available options:
OPEN,
IN_PROGRESS,
ON_HOLD,
COMPLETED,
CANCELLED
type
enum<string>

Filter by task type

Available options:
call,
todo,
meeting
priority
enum<string>

Filter by priority

Available options:
LOW,
MEDIUM,
HIGH

Response

200 - application/json

OK

items
object[]
required
hasMore
boolean
required

Whether additional results are available

nextCursor
string | null

Cursor to fetch the next page. Null if there are no more results.